package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageQuery;

import java.util.Date;
import java.util.List;

/**
 * @Description 订单优惠查询
 * @Author: ph
 * @Date: 2019/12/4 14:23
 */
public class OrderDiscountQuery extends BasePageQuery {

    /**
     * id
     */
    private Long id;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 订单号列表
     */
    private List<String> orderNoList;

    /**
     * 优惠级别
     */
    private Integer discountLevel;

    /**
     * 业务类型
     */
    private Integer bizType;

    /**
     * 优惠类型
     */
    private Integer discountType;

    /**
     * 优惠类型列表
     */
    private List<Integer> discountTypeList;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 优惠id
     */
    private Long discountId;

    /**
     * 优惠id列表
     */
    private List<String> discountIdList;

    /**
     * 下单时间开始
     */
    private Date orderAtStart;

    /**
     * 下单时间结束
     */
    private Date orderAtEnd;

    /**
     * 后台查询优惠活动
     */
    private Boolean discountConditionFlag1;

    /**
     * 修改后打的订单号
     */
    private Long updateUserId;

    /**
     * 修改后打的订单号
     */
    private Integer discountAmount;

    /**
     * 上一个id
     */
    private Long lastId;

    private Long startId;

    private Long endId;

    /**
     * 更新时间开始
     */
    private Date updatedAtStart;

    /**
     * 更新时间结束
     */
    private Date updatedAtEnd;

    /**
     * 数量
     */
    private Integer size;

    private Long excludeSellerId;

    private Long maxId;

    private Integer sortFlag;

    public Integer getSortFlag() {
        return sortFlag;
    }

    public void setSortFlag(Integer sortFlag) {
        this.sortFlag = sortFlag;
    }

    public Long getMaxId() {
        return maxId;
    }

    public void setMaxId(Long maxId) {
        this.maxId = maxId;
    }

    public Long getExcludeSellerId() {
        return excludeSellerId;
    }

    public void setExcludeSellerId(Long excludeSellerId) {
        this.excludeSellerId = excludeSellerId;
    }

    public Date getUpdatedAtStart() {
        return updatedAtStart;
    }

    public void setUpdatedAtStart(Date updatedAtStart) {
        this.updatedAtStart = updatedAtStart;
    }

    public Date getUpdatedAtEnd() {
        return updatedAtEnd;
    }

    public void setUpdatedAtEnd(Date updatedAtEnd) {
        this.updatedAtEnd = updatedAtEnd;
    }

    private List<Long> userIdList;

    public Integer getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(Integer discountAmount) {
        this.discountAmount = discountAmount;
    }

    public List<Long> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<Long> userIdList) {
        this.userIdList = userIdList;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStartId() {
        return startId;
    }

    public void setStartId(Long startId) {
        this.startId = startId;
    }

    public Long getEndId() {
        return endId;
    }

    public void setEndId(Long endId) {
        this.endId = endId;
    }

    public Long getLastId() {
        return lastId;
    }

    public void setLastId(Long lastId) {
        this.lastId = lastId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Boolean getDiscountConditionFlag1() {
        return discountConditionFlag1;
    }

    public void setDiscountConditionFlag1(Boolean discountConditionFlag1) {
        this.discountConditionFlag1 = discountConditionFlag1;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public List<String> getOrderNoList() {
        return orderNoList;
    }

    public void setOrderNoList(List<String> orderNoList) {
        this.orderNoList = orderNoList;
    }

    public Integer getDiscountLevel() {
        return discountLevel;
    }

    public void setDiscountLevel(Integer discountLevel) {
        this.discountLevel = discountLevel;
    }

    public Integer getDiscountType() {
        return discountType;
    }

    public void setDiscountType(Integer discountType) {
        this.discountType = discountType;
    }

    public List<Integer> getDiscountTypeList() {
        return discountTypeList;
    }

    public void setDiscountTypeList(List<Integer> discountTypeList) {
        this.discountTypeList = discountTypeList;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getDiscountId() {
        return discountId;
    }

    public void setDiscountId(Long discountId) {
        this.discountId = discountId;
    }

    public List<String> getDiscountIdList() {
        return discountIdList;
    }

    public void setDiscountIdList(List<String> discountIdList) {
        this.discountIdList = discountIdList;
    }

    public Date getOrderAtStart() {
        return orderAtStart;
    }

    public void setOrderAtStart(Date orderAtStart) {
        this.orderAtStart = orderAtStart;
    }

    public Date getOrderAtEnd() {
        return orderAtEnd;
    }

    public void setOrderAtEnd(Date orderAtEnd) {
        this.orderAtEnd = orderAtEnd;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
